=== debian/changelog ===
dde-network-core (1.1.5-1) unstable; urgency=medium

  * update

 -- donghualin <donghualin@uniontech.com>  Tue, 29 Nov 2022 09:37:50 +0800
