=== debian/changelog ===
dde-network-core (1.1.7-1) unstable; urgency=medium

  * update

 -- donghualin <donghualin@uniontech.com>  Wed, 30 Nov 2022 09:26:44 +0800
