=== dock-example/CMakeLists.txt ===
--- 
+++ 
@@ -22,6 +22,11 @@
 
 get_target_property(KF5_QT_INCLUDE_DIRS KF5::NetworkManagerQt INTERFACE_INCLUDE_DIRECTORIES)
 
+if (CMAKE_BUILD_TYPE STREQUAL "Debug")
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=address -O0")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=address -O0")
+endif()
+
 file(GLOB_RECURSE COMMONPLUGINS_SRCS
     ../common-plugin/*
     ../dss-network-plugin/dockpopupwindow.h
@@ -32,8 +37,6 @@
     ${DOCKPLUGINDIR}
     ${COMMONPLUGINS_SRCS}
     )
-
-get_target_property(KF5_QT_INCLUDE_DIRS KF5::NetworkManagerQt INTERFACE_INCLUDE_DIRECTORIES)
 
 foreach(LETTER ${TRY_KF5_LIBRARIES})
     if (NOT KF5_QT_LIBRARIES)
