=== dss_example/CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,10 @@
 aux_source_directory(../common-plugin/item COMMONPLUGINITEM)
 aux_source_directory(. COMPILEFILES)
 
-get_target_property(KF5_QT_INCLUDE_DIRS KF5::NetworkManagerQt INTERFACE_INCLUDE_DIRECTORIES)
+if (CMAKE_BUILD_TYPE STREQUAL "Debug")
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=address -O0")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=address -O0")
+endif()
 
 #set(COMPILEFILES ./*.h ./*.cpp)
 file(GLOB_RECURSE COMMONPLUGINS_SRCS
