=== example/CMakeLists.txt ===
--- 
+++ 
@@ -31,6 +31,11 @@
     ./dccplugintestwidget.cpp)
 
 #list(REMOVE_ITEM NETWORKDIR "../dde-network-core/debian")
+
+if (CMAKE_BUILD_TYPE STREQUAL "Debug")
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=address -O0")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=address -O0")
+endif()
 
 add_executable(${PROJECT_NAME}
     ${COMPILEFILES}
