=== src/CMakeLists.txt ===
--- 
+++ 
@@ -10,11 +10,24 @@
 include(GNUInstallDirs)
 set(CMAKE_PREFIX_PATH $ENV{Qt5_DIR})
 
+if (CMAKE_BUILD_TYPE STREQUAL "Debug")
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=address -O0")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=address -O0")
+endif()
+
 file(GLOB_RECURSE SOURCEFILES "*.h" "*.cpp")
+
+file(GLOB TS_FILES "translations/*.ts")
+
+qt5_add_translation(QM_FILES ${TS_FILES})
+
+add_custom_target(networktranslations ALL DEPENDS ${QM_FILES})
+
 add_library(${PROJECT_NAME} SHARED ${SOURCEFILES})
 
 find_package(Qt5 COMPONENTS Core DBus Network REQUIRED)
 find_package(PkgConfig REQUIRED)
+find_package(DtkCore REQUIRED)
 find_package(KF5NetworkManagerQt REQUIRED)
 
 pkg_check_modules(DFrameworkDBus REQUIRED dframeworkdbus)
@@ -41,12 +54,15 @@
  # end KF5 network manager
 
 target_include_directories(${PROJECT_NAME} PUBLIC
-    realize
+    impl
+    impl/networkmanager
+    impl/serviceinter
     ${Qt5DBus_INCLUDE_DIRS}
     ${DFrameworkDBus_INCLUDE_DIRS}
     ${QGSettings_INCLUDE_DIRS}
     ${Qt5Network_INCLUDE_DIRS}
     ${KF5_QT_INCLUDE_DIRS}
+    ${DtkCore_INCLUDE_DIRS}
     PkgConfig::LibNM
 )
 
@@ -57,22 +73,22 @@
     ${DFrameworkDBus_LIBRARIES}
     ${Qt5DBus_LIBRARIES}
     ${Qt5Network_LIBRARIES}
-    ${QGSettings_LIBRARIES}
     ${KF5_QT_LIBRARIES}
+    ${DtkCore_LIBRARIES}
     PkgConfig::LibNM
 )
 
 configure_file(dde-network-core.pc.in ../dde-network-core.pc @ONLY)
 
 set(INTERFACEFILES
-    dslcontroller.h
-    hotspotcontroller.h
+    impl/dslcontroller.h
+    impl/hotspotcontroller.h
+    impl/vpncontroller.h
     networkconst.h
     networkcontroller.h
     networkdetails.h
     networkdevicebase.h
     proxycontroller.h
-    vpncontroller.h
     wireddevice.h
     wirelessdevice.h)
 
@@ -80,3 +96,5 @@
 install(FILES ${CMAKE_BINARY_DIR}/dde-network-core.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
 install(FILES ${INTERFACEFILES} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/libddenetworkcore)
 install(FILES ../config/org.deepin.dde.network.json DESTINATION ${CMAKE_INSTALL_DATADIR}/dsg/configs/org.deepin.dde.network)
+# 安装 .qm 文件
+install(FILES ${QM_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/translations)
