=== debian/changelog ===
dde-network-core (1.1.7.3-1) unstable; urgency=medium

  * update

 -- donghualin <donghualin@uniontech.com>  Fri, 14 Apr 2023 10:48:04 +0800

dde-network-core (1.0.78) unstable; urgency=low

  * bump version to 1.0.78

-- lichangze <lichangze@uniontech.com>  Mon, 9 Jan 2023 09:51:27 +0000

dde-network-core (1.0.77) unstable; urgency=low

  * bump version to 1.0.77

-- yinjie <yinjie@uniontech.com>  Tue, 3 Jan 2023 16:04:21 +0000
