## dde-network-core 2.0.33

=== dss_example/CMakeLists.txt ===
--- 
+++ 
@@ -13,8 +13,8 @@
 find_package(Qt5Svg REQUIRED)
 find_package(KF5NetworkManagerQt REQUIRED)
 find_package(DtkWidget REQUIRED)
-find_package(DdeDock REQUIRED)
 find_package(DdeSessionShell REQUIRED)
+find_package(PkgConfig REQUIRED)
 
 aux_source_directory(../dss-network-plugin DSSPLUGINTHEMES)
 aux_source_directory(../dss-network-plugin/notification DSSPLUGINNOTIFICATION)
@@ -23,10 +23,7 @@
 aux_source_directory(../common-plugin/item COMMONPLUGINITEM)
 aux_source_directory(. COMPILEFILES)
 
-if (CMAKE_BUILD_TYPE STREQUAL "Debug")
-    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=address -O0")
-    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=address -O0")
-endif()
+get_target_property(KF5_QT_INCLUDE_DIRS KF5::NetworkManagerQt INTERFACE_INCLUDE_DIRECTORIES)
 
 #set(COMPILEFILES ./*.h ./*.cpp)
 file(GLOB_RECURSE COMMONPLUGINS_SRCS
@@ -69,7 +66,6 @@
     ${Qt5Core_INCLUDE_DIRS}
     ${Qt5DBus_INCLUDE_DIRS}
     ${Qt5Widget_INCLUDE_DIRS}
-    ${DFrameworkDBus_INCLUDE_DIRS}
     ${QGSettings_INCLUDE_DIRS}
     ${LibNM_INCLUDE_DIRS}
     ${Qt5Network_INCLUDE_DIRS}
@@ -83,9 +79,8 @@
     ${DtkWidget_LIBRARIES}
     ${Qt5Core_LIBRARIES}
     ${Qt5Widgets_LIBRARIES}
-    ${LibNM_LIBRARIES}
+    #${LibNM_LIBRARIES}
     ${Qt5Svg_LIBRARIES}
-    ${DFrameworkDBus_LIBRARIES}
     ${Qt5DBus_LIBRARIES}
     ${Qt5Network_LIBRARIES}
     ${QGSettings_LIBRARIES}
