=== debian/changelog ===
dde-network-core (2.0.33) unstable; urgency=medium

  * fix: Network panel translation not dynamically updated(Issue: 10226)
  * fix: Modify network plugin crash issue (#263)(Issue: 10263)

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 08 Aug 2024 15:24:51 +0800

dde-network-core (2.0.32) unstable; urgency=medium

  * fix: Modify system proxy crash issue(Issue: 10118)
  * fix: Modify network plugin translation issues(Issue: 10071)
  * fix: Modify the issue of untranslated network name created for the first time(Issue: 10018)

 -- caixiangrong <caixiangrong@uniontech.com>  Tue, 06 Aug 2024 15:45:40 +0800

dde-network-core (2.0.31) unstable; urgency=medium

  * fix: Modify the interface to display multiple system proxy issues(Issue: 9961)
  * fix: Modifying configuration errors can also set proxy issues(Issue: 9983)

 -- caixiangrong <caixiangrong@uniontech.com>  Fri, 26 Jul 2024 16:25:40 +0800

dde-network-core (2.0.30) unstable; urgency=medium

  * fix: Responding to proxy change signals (#252)(Issue: 9711)
  * fix(dss): can't connect to new WiFi(Issue: 9630)

 -- zyz <zhaoyingzhen@uniontech.com>  Wed, 24 Jul 2024 14:05:40 +0800

dde-network-core (2.0.29) unstable; urgency=medium

  * fix(dss): input  is not hidden after closing the window
    (linuxdeepin/developer-center#8983)

 -- zsien <quezhiyong@deepin.org>  Mon, 08 Jul 2024 10:23:22 +0800

dde-network-core (2.0.28) unstable; urgency=medium

  * fix: icon drift on the left side of listView(Issue: https://github.com/linuxdeepin/developer-center/issues/8982)
  * fix: VPN gateway cannot input ip:port(Issue: https://github.com/linuxdeepin/developer-center/issues/9437)

 -- Zhang Kun <zhangkun2@uniontech.com>  Tue, 02 Jul 2024 10:36:08 +0800

dde-network-core (2.0.27) unstable; urgency=medium

  * chore: Update translation

 -- Zhang kun <zhangkun2@uniontech.com>  Thu, 13 Jun 2024 11:21:00 +0800

dde-network-core (2.0.26) unstable; urgency=medium

  * fix: lineedit alert style error
  * fix: secure icons in lock screen are too small

 -- Zhang Kun <zhangkun2@uniontech.com>  Thu, 23 May 2024 16:14:14 +0800

dde-network-core (2.0.25) unstable; urgency=medium

  * fix: netItem textColor error and the selected button is not centered(Issue: https://github.com/linuxdeepin/developer-center/issues/8505)

 -- Zhang Kun <zhangkun2@uniontech.com>  Mon, 20 May 2024 17:58:13 +0800

dde-network-core (2.0.24) unstable; urgency=medium

  * fix: warning label is not translated
  * fix: empty network panel when unavailable
  * fix: loadingIndicator isn't deleted
  * fix: wild pointer for networkDetails
  * chore: build tests with cpp 14
  * fix: line edit not fully disabled

 -- Wang Fei <wangfei@deepin.org>  Tue, 16 Apr 2024 16:17:14 +0800

dde-network-core (2.0.23) unstable; urgency=medium

  * fix #7465
  * chore: Shielding app proxy module

 -- Mike Chen <chenke@deepin.org>  Fri, 22 Mar 2024 09:06:02 +0800

dde-network-core (2.0.22) unstable; urgency=medium

  * fix: interface-name is cleared after modifying the network profile
  * fix: default method is alway manual

 -- Wang Fei <wangfei@deepin.org>  Fri, 01 Mar 2024 10:06:33 +0800

dde-network-core (2.0.21) unstable; urgency=medium

  * fix: dss plugin shouldn't acquire focus

 -- YuMing He <heyuming@deepin.org>  Tue, 30 Jan 2024 21:42:11 +0800

dde-network-core (2.0.20) unstable; urgency=medium

  * fix #6014

 -- Mike Chen <chenke@deepin.org>  Thu, 25 Jan 2024 10:14:18 +0800

dde-network-core (2.0.19) unstable; urgency=medium

  * fix: update network error icon(Issue: https://github.com/linuxdeepin/developer-center/issues/4479)

 -- Wang Yixue <wangyixue@deepin.org>  Fri, 19 Jan 2024 12:18:52 +0800

dde-network-core (2.0.18) unstable; urgency=medium

  * fix the break ci
  * fix the changelog

 -- chenhongtao <chenhongtao@deepin.org>  Thu, 11 Mon 2024 15:44:43 +0800

dde-network-core (2.0.17) unstable; urgency=medium

  * fix: vpn dialog open for a long time
  * use target link of dde-control-center
  * remote deprecated handle
  * set extra btn of sysproxymodule to save type

 -- chenhongtao <chenhongtao@deepin.org>  Tue, 19 Dec 2023 10:33:16 +0800

dde-network-core (2.0.16) unstable; urgency=medium

  * fix: OpenVPN网关校验等相关问题
    Thanks to hotime
  * fix: not set fixed size for extra(Issue: https://github.com/linuxdeepin/developer-center/issues/5714)
  * fix: remove unused libdframeworkdbus-dev builddep from debian/control
    Thanks to Felix Yan
  * feat: support disable ipv4/ipv6(Issue: https://github.com/linuxdeepin/developer-center/issues/5823)
  * feat: correct behavior when ipv6 set to ignore or set ipv4/6 to
    disable(Issue: https://github.com/linuxdeepin/developer-center/issues/5823)

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 10 Oct 2023 11:02:47 +0800

dde-network-core (2.0.15) unstable; urgency=medium

  * fix: Missing update when refresh stopped(Issue: https://github.com/linuxdeepin/developer-center/issues/5484)

 -- YeShanShan <yeshanshan@deepin.org>  Mon, 11 Sep 2023 17:03:03 +0800

dde-network-core (2.0.14) unstable; urgency=medium

  * fix: Can't set connection when connecting(Issue: https://github.com/linuxdeepin/developer-center/issues/5146)

 -- YeShanShan <yeshanshan@deepin.org>  Fri, 08 Sep 2023 13:32:33 +0800

dde-network-core (2.0.13) unstable; urgency=medium

  * chore: Sync by https://github.com/linuxdeepin/.github/commit/559e91167d4919644f37bbcf123eb0651c1528ea(Influence: none)
  * fix: Even if the hotspot does not exist its state should change
  * fix: NetworkPanel'status unrefreshed for dss-network-plugin
  * fix: setContentsMargins of multiipvxsection
  * chore(CI): Update obs tag build workflow
  * feat: Hide hotspot plugin when unsupport hotspot(Issue: https://github.com/linuxdeepin/developer-center/issues/5023)
  * chore: dock-example can't work
  * feat: Remove dock-hotspot-plugin temporarily(Issue: https://github.com/linuxdeepin/developer-center/issues/5415)

 -- YeShanShan <yeshanshan@deepin.org>  Fri, 06 Sep 2023 10:16:15 +0800


